Bug 7969 - select all / unselect all on fines page
Summary: select all / unselect all on fines page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-16 21:06 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 7969 - select all / unselect all on fines page (3.33 KB, patch)
2013-02-11 20:36 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 7969 - select all / unselect all on fines page (3.38 KB, patch)
2013-02-11 21:40 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 7969 - select all / unselect all on fines page (3.43 KB, patch)
2013-02-14 15:55 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2012-04-16 21:06:58 UTC
It would be nice on the Fines tab of the patron record on the Account tab if you could select all or unselect all with a click. I have a patron with a lot of lines and I wanted to check only a few and would rather start with nothing checked than having to uncheck a bunch of things.
Comment 1 Owen Leonard 2013-02-11 20:36:30 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-02-11 21:40:07 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-14 15:55:36 UTC
QA Comment:

Adds 2 links above the pay table (select/clear all) and moves checkboxes into the first column.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-14 15:55:57 UTC
Created attachment 15326 [details] [review]
Bug 7969 - select all / unselect all on fines page

This patch adds "select all" and "clear all" links to the pay fines page
so that checkboxes which are all checked by default can be easily
unchecked and selected individually.

This patch also moves the column of checkboxes to the start of the table
in order to conform to common practices.

To test, vew the "Pay fines" page for a patron who has outstanding
charges on their account. Confirm that the "select all" and "clear all"
links work correctly and that payment and writeoff functionality is not
changed.

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
All tests pass

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-02-15 14:11:58 UTC
This patch has been pushed to master.